# import/no-default-export

> Includes
> [import/no-default-export](https://github.com/benmosher/eslint-plugin-import/blob/master/docs/rules/no-default-export.md).

## Rationale

We've enabled this rule because:

- Named imports/exports promote clarity.
- Current tooling differs on the correct way to handle default imports/exports.
- Refactoring a file into several files and re-exporting can be simpler (i.e.
  `export * from './new-file'`).

We've opted to enable it using `warn` instead of `error` because there are cases where default
exports are beneficial:

- Small libraries with a single API point can be easier to reason about if they have a single
  export.
- Libraries that emphasise a single API point, but need to export APIs for edge-cases benfit from
  the clarity of the focal point being on the default export.
